# 如何在 Sublime 编辑器中安装 Python 包

> 原文： [https://howtodoinjava.com/python/install-python-sublime-editor/](https://howtodoinjava.com/python/install-python-sublime-editor/)

了解**在 Sublime 编辑器**中安装 python 软件包的功能，例如自动完成功能，以及在 Sublime 编辑器本身中运行 build。

```java
Table of Contents

Install Sublime Package Control
Install Package Python 3
Verify Python Autocomplete and Build
```

## 安装 Sublime 软件包控制

首先下载用于 sublime 编辑器的程序包控件。

1.  Go to URL: [https://packagecontrol.io/installation#st3](https://packagecontrol.io/installation#st3)

    ![Sublime package control](img/bd963b7d4dd2fd8adfb0bd41ea4bc38e.png)

    Sublime 封装控件

    

2.  Now note down the location of folder where packages are installed in sublime editor. You can find the location by clicking on **Preferences > Browse Packages**.

    ![Browse Packages](img/c0902464eae6a16c4fd7868e706cff80.png)

    浏览软件包

    

3.  **单击“ Package Control.sublime-package”链接，保存从软件包控制网站下载的文件**，并将其**放在第二步**的文件夹中。
4.  现在，**通过关闭升华编辑器**来重新启动，然后再次将其打开。
5.  To verify the package control is installed correctly, click on **Preferences > Package Control** menu item. It should open up the package control window.

    ![Package Control Menu](img/6b8a6f91fdc1d0fd6a25dc5a696581ea.png)

    程序包控制菜单

    

## 安装软件包 Python 3

1.  Now to install any package support, including Python package, go to **Preferences > Package Control** and choose **Install Package**.

    ![Install Package Window](img/8aefc2c48da8bcebc73cf46543c5cbd6.png)

    安装程序包窗口

    

2.  In opened window, **type ‘python’ to filter the list of packages** related to python only.

    ![Select Python Package to Install](img/35f82294580f2bf0b35d2c4e56e90039.png)

    选择 Python 软件包以安装

    

等待几秒钟，Python 包将安装到编辑器中。

## 验证 Python 自动完成和构建

要验证 python 支持，再次**重新启动 IDE** 。 创建一个名称为`demo.py`的文件。 键入一些简单的命令，例如`print`。 **应该打开自动完成**窗口。

现在，键入简单的 hello world 代码，然后在 keyborad 中输入`CTRL + B`。 它将在底部窗格中打开输出输出窗口，并且**将在`demo.py`文件中显示命令**的构建输出。

![Sublime Build Output](img/1570faa56046af5b8886752c949db558.png)

Sublime Build Output



现在，您可以使用 sublime 编辑器创建和构建 python 程序了。

学习愉快！